<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>HelpOnCreoleSyntax</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">HelpOnCreoleSyntax</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<p><a href="./HelpForUsers.html">HelpForUsers</a> &gt; <a href="./HelpOnEditing.html">HelpOnEditing</a> &gt; <a href="./HelpOnProcessingInstructions.html">HelpOnProcessingInstructions</a> &gt; <a href="./HelpOnCreoleSyntax.html">HelpOnCreoleSyntax</a><p><strong>Creole</strong> <sup><a href="#fnref-e89de211b28f0bf11532549ee0f5555acf631dd3" id="fndef-e89de211b28f0bf11532549ee0f5555acf631dd3-0">1</a></sup> is a new wiki markup language - its goal is to become the one common wiki syntax and enable better exchange of content between different wiki engines.<p>This page introduces you to the most important elements of the creole syntax, showing first the markup verbatim and then how it is rendered by the wiki engine. Please note that some of the features depend on your configuration.<p>  <em>BTW: This very page is written in creole syntax!</em>
<h1 id="Table_of_Contents">Table of Contents</h1>
<pre>**Contents** (up to the 2nd level)
&lt;&lt;TableOfContents(2)&gt;&gt;</pre><p><strong>Contents</strong> (up to the 2nd level) <div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#heading_2nd_level">heading 2nd level</a></li><li>
<a href="#Internal_Links">Internal Links</a></li><li>
<a href="#External_Links">External Links</a></li><li>
<a href="#Avoid_or_Limit_Automatic_Linking">Avoid or Limit Automatic Linking</a></li><li>
<a href="#Unordered_Lists">Unordered Lists</a></li><li>
<a href="#Ordered_Lists">Ordered Lists</a></li><li>
<a href="#Macros">Macros</a></li><li>
<a href="#Verbatim_Display">Verbatim Display</a></li><li>
<a href="#Syntax_Highlighting">Syntax Highlighting</a></li></ol></li></ol></div>
<h1 id="Headings">Headings</h1>
<pre>= heading 1st level =
== heading 2nd level ==
=== heading 3rd level ===
==== heading 4th level ====
===== heading 5th level =====</pre>
<h1 id="heading_1st_level">heading 1st level</h1>

<h2 id="heading_2nd_level">1. heading 2nd level</h2>

<h3 id="heading_3rd_level">1.1. heading 3rd level</h3>

<h4 id="heading_4th_level">1.1.1. heading 4th level</h4>

<h5 id="heading_5th_level">1.1.1.1. heading 5th level</h5>

<h1 id="Text_Formatting">Text Formatting</h1>
<pre>* //emphasized (italics)//
* **boldface**
* **//bold italics//**, //**italics bold**//
* {{{monospace}}}</pre><ul><li><em>emphasized (italics)</em></li><li><strong>boldface</strong></li><li><strong><em>bold italics</em></strong>, <em><strong>italics bold</strong></em></li><li><tt>monospace</tt></li></ul>
<h1 id="Hyperlinks">Hyperlinks</h1>

<h2 id="Internal_Links">1. Internal Links</h2>
<pre>* [[FrontPage]]
* [[HelpOnEditing/SubPages]]
* [[/SubPage]]
* [[../SiblingPage]]
* [[FrontPage|named link]]
* [[#anchorname]]
* [[#anchorname|description]]
* [[PageName#anchorname]]
* [[PageName#anchorname|description]]
* [[attachment:filename.txt]]</pre><ul><li><a href="./FrontPage.html">FrontPage</a></li><li><a href="./HelpOnEditing(2f)SubPages.html">HelpOnEditing/SubPages</a></li><li><a class="nonexistent" href="./HelpOnCreoleSyntax(2f)SubPage.html">/SubPage</a></li><li><a class="nonexistent" href="./SiblingPage.html">../SiblingPage</a></li><li><a href="./FrontPage.html">named link</a></li><li><a class="nonexistent" href="./.html#anchorname">#anchorname</a></li><li><a class="nonexistent" href="./.html#anchorname">description</a></li><li><a class="nonexistent" href="./PageName.html#anchorname">PageName#anchorname</a></li><li><a class="nonexistent" href="./PageName.html#anchorname">description</a></li><li><a class="attachment nonexistent" href="" title="Upload new attachment &quot;filename.txt&quot;">attachment:filename.txt</a></li></ul>
<h2 id="External_Links">2. External Links</h2>
<pre>* http://moinmo.in/
* [[http://moinmo.in/]]
* [[http://moinmo.in/|MoinMoin Wiki]]
* [[http://static.moinmo.in/logos/moinmoin.png]]
* {{http://static.moinmo.in/logos/moinmoin.png}}
* [[http://static.moinmo.in/logos/moinmoin.png|moinmoin.png]]
* [[MeatBall:InterWiki|InterWiki page on MeatBall]]
* [[file://///servername/share/full/path/to/file/filename%20with%20spaces.txt|link to file filename with spaces.txt]]
* [[mailto:user@example.com]]</pre><ul><li><a class="http" href="http://moinmo.in/">http://moinmo.in/</a></li><li><a class="http" href="http://moinmo.in/">http://moinmo.in/</a></li><li><a class="http" href="http://moinmo.in/">MoinMoin Wiki</a></li><li><a class="http" href="http://static.moinmo.in/logos/moinmoin.png">http://static.moinmo.in/logos/moinmoin.png</a></li><li><img alt="http://static.moinmo.in/logos/moinmoin.png" html_class="external_image" src="http://static.moinmo.in/logos/moinmoin.png" title="http://static.moinmo.in/logos/moinmoin.png" /></li><li><a class="http" href="http://static.moinmo.in/logos/moinmoin.png">moinmoin.png</a></li><li><a class="interwiki" href="http://www.usemod.com/cgi-bin/mb.pl?InterWiki" title="MeatBall">InterWiki page on MeatBall</a></li><li><a class="file" href="file://///servername/share/full/path/to/file/filename%20with%20spaces.txt">link to file filename with spaces.txt</a></li><li><a class="mailto" href="mailto:user@example.com">mailto:user@example.com</a></li></ul>
<h2 id="Avoid_or_Limit_Automatic_Linking">3. Avoid or Limit Automatic Linking</h2>
<pre> * {{{http://www.example.com}}}
 * ~http://www.example.com/</pre><ul><li><tt>http://www.example.com</tt></li><li>http://www.example.com/</li></ul>
<h1 id="Drawings">Drawings</h1>
<pre>{{drawing:myexample}}</pre><p><a class="nonexistent" href="" title="Create new drawing &quot;myexample.tdraw (opens in new window)&quot;"><img alt="[ATTACH]" height="32" src="/moin_static1911/modern/img/attach.png" title="[ATTACH]" width="32" /></a>
<h1 id="Lists">Lists</h1>

<h2 id="Unordered_Lists">1. Unordered Lists</h2>
<pre>* item 1

* item 2 (preceding white space)
** item 2.1
*** item 2.1.1
* item 3</pre><ul><li>item 1</li></ul><ul><li>item 2 (preceding white space)<ul><li>item 2.1<ul><li>item 2.1.1</li></ul></li></ul></li><li>item 3</li></ul>
<h2 id="Ordered_Lists">2. Ordered Lists</h2>
<pre># item 1
## item 1.1
## item 1.2
# item 2</pre><ol><li>item 1<ol><li>item 1.1</li><li>item 1.2</li></ol></li><li>item 2</li></ol>
<h1 id="Horizontal_Rule">Horizontal Rule</h1>
<pre>----</pre><hr />
<h1 id="Tables">Tables</h1>
<pre>|=A |=B |=C |
| 1 | 2 | 3 |</pre><div><table><tbody><tr><th>A </th><th>B </th><th>C </th></tr>
<tr>  <td>1 </td>
  <td>2 </td>
  <td>3 </td>
</tr>
</tbody></table></div>
<h1 id="Other">Other</h1>
<pre>forced\\linebreak</pre><p>forced<br>
linebreak
<h1 id="Macros_and_Variables">Macros and Variables</h1>

<h2 id="Macros">1. Macros</h2>
<ul><li><tt>&lt;&lt;Anchor(anchorname)&gt;&gt;</tt> inserts a link anchor <tt>anchorname</tt></li><li><tt>&lt;&lt;BR&gt;&gt;</tt> inserts a hard line break</li><li><tt>&lt;&lt;FootNote(Note)&gt;&gt;</tt> inserts a footnote saying <tt>Note</tt></li><li><tt>&lt;&lt;Include(HelpOnMacros/Include)&gt;&gt;</tt> inserts the contents of the page <tt>HelpOnMacros/Include</tt> inline</li><li><tt>&lt;&lt;MailTo(user AT example DOT com)&gt;&gt;</tt> obfuscates the email address <tt>user@example.com</tt> to users not logged in</li></ul>
<h1 id="Parsers">Parsers</h1>

<h2 id="Verbatim_Display">1. Verbatim Display</h2>
<pre>{{{
def hello():
    print "Hello World!"
}}}</pre><pre>def hello():
    print "Hello World!"</pre>
<h2 id="Syntax_Highlighting">2. Syntax Highlighting</h2>
<pre>{{{
#!python
def hello():
    print "Hello World!"
}}}</pre><span class="anchor" id="line-1"></span><div class="highlight python"><div class="codearea" dir="ltr" lang="en">
<script type="text/javascript">
function isnumbered(obj) {
  return obj.childNodes.length && obj.firstChild.childNodes.length && obj.firstChild.firstChild.className == 'LineNumber';
}
function nformat(num,chrs,add) {
  var nlen = Math.max(0,chrs-(''+num).length), res = '';
  while (nlen>0) { res += ' '; nlen-- }
  return res+num+add;
}
function addnumber(did, nstart, nstep) {
  var c = document.getElementById(did), l = c.firstChild, n = 1;
  if (!isnumbered(c)) {
    if (typeof nstart == 'undefined') nstart = 1;
    if (typeof nstep  == 'undefined') nstep = 1;
    var n = nstart;
    while (l != null) {
      if (l.tagName == 'SPAN') {
        var s = document.createElement('SPAN');
        var a = document.createElement('A');
        s.className = 'LineNumber';
        a.appendChild(document.createTextNode(nformat(n,4,'')));
        a.href = '#' + did + '_' + n;
        s.appendChild(a);
        s.appendChild(document.createTextNode(' '));
        n += nstep;
        if (l.childNodes.length) {
          l.insertBefore(s, l.firstChild);
        }
        else {
          l.appendChild(s);
        }
      }
      l = l.nextSibling;
    }
  }
  return false;
}
function remnumber(did) {
  var c = document.getElementById(did), l = c.firstChild;
  if (isnumbered(c)) {
    while (l != null) {
      if (l.tagName == 'SPAN' && l.firstChild.className == 'LineNumber') l.removeChild(l.firstChild);
      l = l.nextSibling;
    }
  }
  return false;
}
function togglenumber(did, nstart, nstep) {
  var c = document.getElementById(did);
  if (isnumbered(c)) {
    remnumber(did);
  } else {
    addnumber(did,nstart,nstep);
  }
  return false;
}
</script>

<script type="text/javascript">
document.write('<a href="#" onclick="return togglenumber(\'CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88\', 1, 1);" \
                class="codenumbers">Toggle line numbers<\/a>');
</script>
<pre dir="ltr" id="CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88" lang="en"><span class="line"><span class="LineNumber"><a href="#CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88_1">   1</a> </span><span class="LineAnchor" id="CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88_1"></span><span class="anchor" id="line-1-1"></span><span class="ResWord">def</span> <span class="ID">hello</span>():</span>
<span class="line"><span class="LineNumber"><a href="#CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88_2">   2</a> </span><span class="LineAnchor" id="CA-78c687fbb04d58d5ee5c7f64fd6654a3595f0c88_2"></span><span class="anchor" id="line-2"></span>    <span class="ResWord">print</span> <span class="String">"</span><span class="String">Hello World!</span><span class="String">"</span></span>
</pre></div></div><hr /><p>See also <a class="http" href="http://www.wikicreole.org/attach/CheatSheet/creole_cheat_sheet.png">CreoleCheatCheet</a> (PNG mage)<hr /><div class="footnotes"><ol><li><p><a id="fnref-e89de211b28f0bf11532549ee0f5555acf631dd3"></a><span class="anchor" id="line-1-2"></span><a class="http" href="http://www.wikicreole.org/">http://www.wikicreole.org/</a>  (<a href="#fndef-e89de211b28f0bf11532549ee0f5555acf631dd3-0">1</a>)</li></ol></div><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:22
</body>
</html>
